require "import"
import "android.media.AudioManager"
import "android.content.*"
import "android.provider.Settings"
import "android.app.NotificationManager"
import "android.os.Build"

context = activity or service
audioManager = context.getSystemService(Context.AUDIO_SERVICE)

function setSoundMode(mode)
  local currentMode = audioManager.getRingerMode()
  if mode == "vibrate" and currentMode ~= AudioManager.RINGER_MODE_VIBRATE then
    audioManager.setRingerMode(AudioManager.RINGER_MODE_VIBRATE)
  elseif mode == "ring" and currentMode ~= AudioManager.RINGER_MODE_NORMAL then
    audioManager.setRingerMode(AudioManager.RINGER_MODE_NORMAL)
  elseif currentMode == AudioManager.RINGER_MODE_SILENT then
    print("Устройство в данный момент находится в беззвучном режиме.")
  end
end

if Build.VERSION.SDK_INT >= Build.VERSION_CODES.M then
  -- Удалены проверки на разрешение для режима "Не беспокоить"
end

local currentMode = audioManager.getRingerMode()
if currentMode == AudioManager.RINGER_MODE_NORMAL then
  setSoundMode("vibrate")
  service.postSpeak(500, "Режим телефона: Вибрация")
elseif currentMode == AudioManager.RINGER_MODE_VIBRATE then
  audioManager.setRingerMode(AudioManager.RINGER_MODE_SILENT)
  service.postSpeak(500, "Режим телефона: Без звука")
elseif currentMode == AudioManager.RINGER_MODE_SILENT then
  setSoundMode("ring")
  service.postSpeak(500, "Режим телефона: Звонок")
end
